DSCCommentHiResBoundingBox
Date: 2016-04-28

org.apache.xmlgraphics.ps.dsc.events

## Class DSCCommentHiResBoundingBox

- java.lang.Object
- - org.apache.xmlgraphics.ps.dsc.events.AbstractEvent
  - - org.apache.xmlgraphics.ps.dsc.events.AbstractDSCComment
    - - org.apache.xmlgraphics.ps.dsc.events.DSCCommentBoundingBox
      - - org.apache.xmlgraphics.ps.dsc.events.DSCCommentHiResBoundingBox

- All Implemented Interfaces:
    DSCParserConstants, DSCComment, DSCEvent
  Direct Known Subclasses:
    DSCCommentPageHiResBoundingBox

      public class DSCCommentHiResBoundingBox
      extends DSCCommentBoundingBox

  Represents a %%HiResBoundingBox DSC comment.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlgraphics.ps.dsc.DSCParserConstants

      `COMMENT, DSC_COMMENT, EOF, HEADER_COMMENT, LINE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DSCCommentHiResBoundingBox()` Creates a new instance.
    `DSCCommentHiResBoundingBox(java.awt.geom.Rectangle2D bbox)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generate(PSGenerator gen)` Writes the event to the given PSGenerator.
    `java.lang.String` | `getName()` Returns the name of the DSC comment.

    - ### Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.DSCCommentBoundingBox

      `getBoundingBox, hasValues, parseValue, setBoundingBox`

    - ### Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractDSCComment

      `asDSCComment, getEventType, isAtend, isDSCComment, splitParams`

    - ### Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractEvent

      `asLine, isComment, isHeaderComment, isLine`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlgraphics.ps.dsc.events.DSCEvent

      `asLine, isComment, isHeaderComment, isLine`

- - ### Constructor Detail

    - #### DSCCommentHiResBoundingBox

          public DSCCommentHiResBoundingBox()

      Creates a new instance.

    - #### DSCCommentHiResBoundingBox

          public DSCCommentHiResBoundingBox(java.awt.geom.Rectangle2D bbox)

      Creates a new instance.
      Parameters:
        `bbox` - the bounding box

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns the name of the DSC comment.
      Specified by:
        `getName` in interface `DSCComment`
      Overrides:
        `getName` in class `DSCCommentBoundingBox`
      Returns:
        the name of the DSC comment (without the "%%" prefix)

    - #### generate

          public void generate(PSGenerator gen)
                        throws java.io.IOException

      Writes the event to the given PSGenerator.
      Specified by:
        `generate` in interface `DSCComment`
      Specified by:
        `generate` in interface `DSCEvent`
      Overrides:
        `generate` in class `DSCCommentBoundingBox`
      Parameters:
        `gen` - the PSGenerator to write to
      Throws:
        `java.io.IOException` - In case of an I/O error
      See Also:
        `DSCEvent.generate( org.apache.xmlgraphics.ps.PSGenerator)`